var timer = 0;
// Timeout setzen, Abfrage soll erst bei Pause der Benutzereingabe erfolgen
function lookup(inputString, tab, index) 
{
	if(inputString.length == 0)
	{ // Hide the suggestion box.
		$('#suggestions').hide();
	}
	else 
	{
		$.post("rpc.php", {queryString: ""+inputString+"", tab: ""+tab+"", index: ""+index+""}, function(data){
			if(data.length >0) {
				$('#suggestions').show();
				$('#asuggestions').html(data);
			}
		});
	}
} // lookup
var letzter='';
var q='';
function siehnach(q,y,kasten, tab, index) 
{
	$('#'+letzter).hide();
	letzter=kasten;
	if(q.length == 0) 
	{	// Hide the suggestion box.
		$('#'+kasten).hide();
	}
	else 
	{
		$.post("rpc.php", {queryString: ""+q+"", tab: ""+tab+"", index: ""+index+""}, function(data)
		{
					if(data.length >0)
					{
						$('#'+kasten).show();
						$('#a'+kasten).html(data);
					}
				});
	}
} // siehnach
function fill(thisValue) 
{
	$('#inputString').val(thisValue);
	$('#suggestions').hide();
	document.form1.sb.value=thisValue;
	Ziel = "stammdaten.php?tat=finden&amp;tab=<?php echo $tab; ?>&amp;suchbegriff="+thisValue+"&amp;index=<?php echo $index.'&amp;w='.$w.'&amp;h='.$h; ?>";
	window.location.href=Ziel;
}
function fuell(thisValue) 
{
	$('#q').val(thisValue);
	$('#'+letzter).hide();
	document.form1.sb.value=thisValue;
	Ziel = "stammdaten.php?tat=finden&amp;tab=<?php echo $tab; ?>&amp;suchbegriff="+thisValue+"&amp;index=<?php echo $index.'&amp;w='.$w.'&amp;h='.$h; ?>";
	window.location.href=Ziel;
}
